## org.eclipse.jetty.util
Interface Scanner.DiscreteListener

All Superinterfaces:
  Scanner.Listener

All Known Implementing Classes:
  ContextDeployer.ScannerListener

Enclosing class:
  Scanner

    public static interface Scanner.DiscreteListener

extends Scanner.Listener

Method Summary
`void` `fileAdded(java.lang.String filename)`
`void` `fileChanged(java.lang.String filename)`
`void` `fileRemoved(java.lang.String filename)`

Method Detail

### fileChanged

    void fileChanged(java.lang.String filename)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### fileAdded

    void fileAdded(java.lang.String filename)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### fileRemoved

    void fileRemoved(java.lang.String filename)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.